package p13_pliki.podstawy;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class Odczyt2_Scanner_Slowa {

	public static void main(String[] args) {
		System.out.println("Startujemy");
		try(Scanner sc = new Scanner(new File("plik.txt"))) {
			// czytanie słów w pętli
			while(sc.hasNext()) {
				String slowo = sc.next();
				System.out.println("Następne słowo: " + slowo);
			}
			
			// można też pobrać strumień słów poprzez operację tokens()
			// sc.tokens().forEach(slowo -> System.out.println("Następne słowo: " + slowo));
			
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		System.out.println("Gotowe");
	}

}
